System.Core 4.0.0.0 System.Security.Cryptography.Aes

The AES algorithm is essentially the Rijndael symmetric algorithm with a fixed block size and iteration count. This class functions the same way as the class but limits blocks to 128 bits and does not allow feedback modes.

If the Windows security policy setting for Federal Information Processing Standards (FIPS)-compliant algorithms is enabled, using this algorithm throws a .

Provides a managed implementation of the Advanced Encryption Standard (AES) symmetric algorithm.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.Security.Cryptography.ICryptoTransform To be added.

  Creates a symmetric decryptor object using the current key and initialization vector (IV).

  A symmetric decryptor object.

- Method
  4.0.0.0
  System.Security.Cryptography.ICryptoTransform `` `` To be added.

  Creates a symmetric decryptor object using the specified key and initialization vector (IV).

  A symmetric decryptor object.

  The secret key to use for the symmetric algorithm. The initialization vector to use for the symmetric algorithm.
- Method
  4.0.0.0
  System.Security.Cryptography.ICryptoTransform To be added.

  Creates a symmetric encryptor object using the current key and initialization vector (IV).

  A symmetric encryptor object.

- Method
  4.0.0.0
  System.Security.Cryptography.ICryptoTransform `` `` To be added.

  Creates a symmetric encryptor object using the specified key and initialization vector (IV).

  A symmetric encryptor object.

  The secret key to use for the symmetric algorithm. The initialization vector to use for the symmetric algorithm.
- Method
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Int32 To be added.

  The maximum feedback size is 128 bits.

  Because this algorithm does not support feedback modes, using this property is discouraged.

  Gets or sets the number of bits to use as feedback.

- Method
  4.0.0.0
  System.Void To be added.

  Generates a random initialization vector (IV) to use for the symmetric algorithm.

- Method
  4.0.0.0
  System.Void To be added.

  Generates a random key to use for the symmetric algorithm.

- Property
  4.0.0.0
  System.Byte[] To be added. To be added.

  Gets or sets the initialization vector (IV) to use for the symmetric algorithm.

- Property
  4.0.0.0
  System.Byte[] To be added. To be added.

  Gets or sets the secret key used for the symmetric algorithm.

- Property
  4.0.0.0
  System.Int32 To be added.

  The maximum size of the key is 256 bits.

  Gets or sets the size, in bits, of the secret key used for the symmetric algorithm.

- Property
  4.0.0.0
  System.Security.Cryptography.CipherMode To be added.

  The and modes are not supported.

  Gets or sets the mode for operation of the symmetric algorithm.

- Property
  4.0.0.0
  System.Security.Cryptography.PaddingMode To be added. To be added.

  Gets or sets the padding mode used in the symmetric algorithm.